#!/bin/bash

BaudRate=115200
Type=bcm43xx

function help()
{
	echo "Usage: toybrick-bluetooth.sh {start | stop} [BaudRate]"
	echo "Default BaudRate is ${Default_BaudRate}"
}

function bt_start()
{
	for d in $(ls dev/ttyS*)
	do
		sudo hciattach -n $d $1 $2
	done
}

function bt_stop()
{
	pkill hciattach
}

if [ "${device}" == "null" ]; then
	exit 1
fi

case $1 in
	start)
		if [ $# -ge 2 ]; then
			BaudRate=$2
		fi
		bt_start ${Type} ${BaudRate}
		;;
	stop)
		bt_stop
		;;
	*)
		help
		exit 1
esac
