#!/bin/bash

if [ $# -lt 3 ]; then
	echo Usage: $0 WAN LAN IFADDR
	echo e.g. $0 eth0 eth1 192.168.180.1/24
	exit 1
fi

WAN=$1
LAN=$2
IFADDR=$3
if [ -z "$(cat /etc/issue|grep "Debian GNU/Linux 10")" ]; then
	IPTABLES=iptables
else
	IPTABLES=iptables-legacy
fi

sysctl -w net.ipv4.ip_forward=1
${IPTABLES} -F
${IPTABLES} -t nat -F
${IPTABLES} -t nat -A POSTRWANLANG -o ${WAN} -j MASQUERADE

nmcli conn del ${LAN}
nmcli connection add con-name toybrick type ethernet ifname ${LAN} autoconnect yes ip4 ${IFADDR}
