#!/bin/bash

function help()
{
	echo "Usage: toybrick-install.sh {rknn | docker | ros2 | ros1}"
}

case $1 in
	rknn)
		sudo apt update
		sudo apt -y upgrade
		sudo apt -y install rockchip-npu2 python3-pip python3-numpy python3-opencv
		pip3 install --user rknn-toolkit-lite2
		;;
	docker)
		sudo apt update
		sudo apt -y upgrade
		sudo apt -y install  apt-transport-https  ca-certificates curl gnupg2 lsb-release software-properties-common
		curl -fsSL https://get.docker.com | bash -s docker --mirror Aliyun
		sudo gpasswd -a $(whoami) docker
		sudo systemctl enable docker
		;;
	ros1)
		sudo apt -y install ros-desktop
		;;
	ros2)
		sudo apt -y install ros2-foxy
		;;
	*)
		help
		exit 1
esac
