#!/bin/bash

function help()
{
	echo "Usage:"
	echo "       wife.sh list                                 List all SSID"
	echo "       wife.sh device connect [SSID] [PASSWORD]     Connect the SSID"
	echo "       wife.sh device disconnect [SSID]             Disconnect"
	echo "       wifi.sh hotspot create [SSID] [PASSWORD]     Create hotspot with SSID"
	echo "       wifi.sh hotspot show                         Show the WIFI name and password"
	echo "       wifi.sh hotspot delete [SSID]                Delete hotspot"
}

case $1 in
l*)
	nmcli d wifi list
	;;
d*)
	case $2 in
	c*)
		if [ $# -ne 4 ]; then
			help
			exit 1
		fi
		nmcli d wifi conn $3 password $4
		;;
	d*)
		if [ $# -ne 3 ]; then
			help
			exit 1
		fi
		nmcli conn del $3
		;;
	*)
		help
		exit 1
		;;
	esac
	;;
h*)
	case $2 in
	c*)
		if [ $# -ne 4 ]; then
			help
			exit 1
		fi
		nmcli con add type wifi ifname wlan0 con-name AP-$3 autoconnect yes ssid $3
		nmcli con modify AP-$3 802-11-wireless.mode ap 802-11-wireless.band a ipv4.method shared
		nmcli con modify AP-$3 wifi-sec.key-mgmt wpa-psk
		nmcli con modify AP-$3 wifi-sec.psk "$4"
		nmcli con up AP-$3
		#nmcli d wifi hotspot con-name AP-$3 ifname wlan0 ssid $3 password $4
		;;
	s*)
		nmcli dev wifi show-password
		;;
	d*)
		if [ $# -ne 3 ]; then
			help
			exit 1
		fi
		nmcli conn del AP-$3
		;;
	*)
		help
		exit 1
	esac
	;;
*)
	help
	exit 1
	;;
esac
